#include <stdio.h>

// Holds the name of an entry and its offset into the mudlist.txt file.

struct mce {
  char * name;
  long offset;

  struct mce * next;
  struct mce * prev;

};

class MUDConnectorMUD {

 public:
  MUDConnectorMUD();
  ~MUDConnectorMUD();

  void setName(char *);
  char * getName();

  void setCodeBase(char *);
  char * getCodeBase();

  void setTelnet(char *);
  char * getHost();
  int getPort();

  void setWWW(char *);
  char * getWWW();

  void appendDescription(char *);
  char * getDescription();

 private:

  char * name;
  char * codebase;
  char * www;
  char * description;
  char * host;
  int port;

};

class MUDConnectorList {

 public:
  MUDConnectorList();
  ~MUDConnectorList();

  void readMudlist();

  MUDConnectorMUD * getEntry(char *);
  MUDConnectorMUD * readEntry(struct mce *);

  void appendList(struct mce *);

  struct mce * firstEntry;
 private:

  FILE * fp;
};

