#ifdef WIN32

#include "Plugin.h"
#include "Connection.h"

#define PLUGIN_WRAPPER(x) addr_x p_x;

#define register_plugin (*p_register_plugin)
#define unregister_plugin (*p_unregister_plugin)

#define connection_get_socket (*p_connection_get_socket)
#define connection_get_vt (*p_connection_get_vt)
#define connection_get_name (*p_connection_get_name)
#define connection_get_mud (*p_connection_get_mud)
#define connection_get_next (*p_connection_get_next)
#define connection_query_preferences (*p_connection_query_preferences)

#define event_get_type (*p_event_get_type)

#define socket_write (*p_socket_write)

#define vt_append (*p_vt_append)
#define vt_add_to_tray (*p_vt_add_to_tray)
#define vt_remove_from_tray (*p_vt_remove_from_tray)
#define vt_scroll (*p_vt_scroll)

#define get_prefix (*p_get_prefix)
#define get_global_preferences (*p_get_global_preferences)
#define get_command_interpreter (*p_get_command_interpreter)
#define get_first_connection (*p_get_first_connection)
#define get_main_window (*p_get_main_window)
#define get_entity_handler (*p_get_entity_handler)
#define get_plugin_handler (*p_get_plugin_handler)
#define get_connection_by_name (*p_get_connection_by_name)

#define entity_handler_add_entity (*p_entity_handler_add_entity)
#define entity_handler_remove_entity (*p_entity_handler_remove_entity)

#define main_window_get_item_factory (*p_main_window_get_item_factory)
#define main_window_get_current_connection (*p_main_window_get_current_connection)

#define command_interpreter_interpret (*p_command_interpreter_interpret)

#define mud_get_preferences (*p_mud_get_preferences)

#define preferences_set_preference (*p_preferences_set_preference)
#define preferences_get_preference (*p_preferences_get_preference)

#define plugin_handler_client_message (*p_plugin_handler_client_message)

#define turf_protocol_add_command (*p_turf_protocol_add_command)
#define turf_protocol_is_supported (*p_turf_protocol_is_supported)

#include "Win32PluginAPITable.h"

void plugin_address_table_init(plugin_address_table_t *);

#else
#include "Win32PluginAPIImplementation.h"

typedef void plugin_address_table_t;
void plugin_address_table_init(plugin_address_table_t *);
#endif
