#include "BSXScene.h"
#include "BSXCache.h"

typedef struct bsx_data_ {
  BSXCache * scenes;
  BSXCache * objects;
  BSXScene * scene;
  char incoming[16384];
  int prev_cmd;
} BSXData;

class BSX : public Plugin {

 public:
  BSX();
  ~BSX();

  void output(Connection *, char *);

 private:
  
  void parseRFS(Connection *, char *);
  void parseSCE(Connection *, char *);
  void parseVIO(Connection *, char *);
  void parseDFS(Connection *, char *);
  void parseDFO(Connection *, char *);
  void parseRMO(Connection *, char *);
  void parseTMS(Connection *, char *);
  void parseRQV(Connection *, char *);

  PapayaList * bList;

};
