#include <gtk/gtk.h>
#include "Plugin.h"
#include "PapayaList.h"
#include "Fade.h"

struct fraction_data {
  gboolean hl_complete;
  Fade * fade;
  GtkWidget * hl_c_check;
};

class G_MODULE_EXPORT Fraction : public Plugin {

 public:

  Fraction();
  ~Fraction();

  void output(Connection *, char *);
  GtkWidget * getPrefsWidget(MUD *);
  void onPrefsOk(MUD *);
  void onPrefsApply(MUD *);
  void onPrefsCancel(MUD *);
  void onEvent(Event *, Connection *);

 private:

  PapayaList * clist;
  char * pattern;
  regex_t regexp;
  struct fraction_data prefs_scratch;

  struct fraction_data * setupConnection(Connection *);
  void resetConnection(MUD * m, struct fraction_data * fdata);

};
