#ifndef INCLUDE_SPELLSTACKER_H
#define INCLUDE_SPELLSTACKER_H

#ifndef WIN32
#include <inttypes.h>
#endif

class G_MODULE_EXPORT SpellStacker : public Plugin {
 public:

  SpellStacker();
  ~SpellStacker();

  void input(Connection *, char *);
  void callback(Connection *, char *, void *);

 private:

  void sendCommand(Connection *, char *);
  List * stackerList;
  void updateDisplay(struct stacker_data *);

};

struct stacker_command {
  char * cmd;
  struct stacker_command * next;
};

struct stacker_data {
  GtkWidget * widget;
  GtkWidget * frame;

  uint16_t count;
  struct stacker_command * commands;
};

#endif // INCLUDE_SPELLSTACKER_H
