#define MAX_SPELLS 100
#define SPELL_DEFAULT_FILE "spells.dat"

struct spell_data {
  int seen[MAX_SPELLS];
  char * spell[MAX_SPELLS];
};

class G_MODULE_EXPORT Spells : public Plugin {

 public:

  Spells();
  ~Spells();

  void input(Connection *, char *);
  void getSpellData(FILE *, struct spell_data *);
  void getSpellData(char *, struct spell_data *);

  GtkWidget * getPrefsWidget(MUD *);
  void onPrefsApply(MUD *);
  void onPrefsOk(MUD *);
  void onPrefsCancel(MUD *);

 private:

  ListElement * create_new_entry(Connection * c);

};
