#!/bin/tcsh

grep '_(' `find ../src -name "*cpp"` | cut -d: -f1 | sort -u > POTFILES.in
xgettext --keyword=_ --keyword=N_ --output=messages.po ../src/papaya/*.c ../src/papaya/*.cpp ../src/include/*.h ../src/plugins/*.cpp ../src/plugins/*.h ../src/plugins/Turf/*.cpp ../src/plugins/Turf/*.h ../src/plugins/PythonPlugin/*.cpp ../src/plugins/PythonPlugin/*.h

foreach file (*.po)
    if ($file == "messages.po") then
        echo Not merging $file
    else
        msgmerge $file messages.po > tmp.po
	mv tmp.po $file
    endif
end
