#include "Win32PluginAPI.h"

#ifdef WIN32

#include "Win32PluginAPIDecl.h"


void plugin_address_table_init(plugin_address_table_t * pat) {
	p_register_plugin = pat->p_register_plugin;
	p_unregister_plugin = pat->p_unregister_plugin;

	p_connection_get_socket = pat->p_connection_get_socket;
	p_connection_get_vt = pat->p_connection_get_vt;
	p_connection_get_name = pat->p_connection_get_name;
	p_connection_get_mud = pat->p_connection_get_mud;
    p_connection_get_next = pat->p_connection_get_next;
	p_connection_query_preferences = pat->p_connection_query_preferences;

	p_event_get_type = pat->p_event_get_type;
    
	p_vt_append = pat->p_vt_append;
	p_vt_add_to_tray = pat->p_vt_add_to_tray;
	p_vt_remove_from_tray = pat->p_vt_remove_from_tray;
	p_vt_scroll = pat->p_vt_scroll;

	p_socket_write = pat->p_socket_write;

	p_get_prefix = pat->p_get_prefix;
	p_get_global_preferences = pat->p_get_global_preferences;
	p_get_command_interpreter = pat->p_get_command_interpreter;
	p_get_first_connection = pat->p_get_first_connection;
	p_get_main_window = pat->p_get_main_window;
	p_get_entity_handler = pat->p_get_entity_handler;
	p_get_plugin_handler = pat->p_get_plugin_handler;
    p_get_connection_by_name = pat->p_get_connection_by_name;

	p_main_window_get_item_factory = pat->p_main_window_get_item_factory;
	p_main_window_get_current_connection = pat->p_main_window_get_current_connection;

	p_entity_handler_add_entity = pat->p_entity_handler_add_entity;
	p_entity_handler_remove_entity = pat->p_entity_handler_remove_entity;

	p_plugin_handler_client_message = pat->p_plugin_handler_client_message;

	p_turf_protocol_add_command = pat->p_turf_protocol_add_command;
	p_turf_protocol_is_supported = pat->p_turf_protocol_is_supported;

	p_command_interpreter_interpret = pat->p_command_interpreter_interpret;

	p_preferences_get_preference = pat->p_preferences_get_preference;
	p_preferences_set_preference = pat->p_preferences_set_preference;

	p_mud_get_preferences = pat->p_mud_get_preferences;
}


#endif // WIN32
