#include "Plugin.h"

struct indicator {
  Connection * connection;
  GtkWidget * widget;
  GtkWidget * frame;
  GtkWidget * event_box;
  guint timeout;
  struct indicator * next;
};

class LagIndicator : public Plugin {

 public:

  LagIndicator();
  ~LagIndicator();

  void input(Connection *, char *);
  void onEvent(Event *, Connection *);

  void checkLag(Connection *);
  struct indicator * findIndicator(Connection *, bool);
  char * getDescription();

 private:

  struct indicator * newIndicator(Connection *);
  void remove(struct indicator *);

};
